package usecase

import (
	"gitlab.informatika.org/k-01-11/graduit-be/src/module/scheduling/entity"
)

type SchedulingRepository interface {
	NewSchedulingLinkSidang(idAndLinkSidang entity.SchedulingSidangLink) error
	NewSchedulingLinkSeminar(idAndLinkSeminar entity.SchedulingSeminarLink) error
	GetSchedulingTableData() (sidangResult []entity.JadwalWithLink, seminarResult []entity.JadwalWithLink, err error)
}
