package usecase

import "gitlab.informatika.org/k-01-11/graduit-be/src/module/dashboard_dosbing/entity"

type DashboardDosbingRepository interface {
	GetMahasiswaByDosenId(idDosen string, offset, size int, search string) (output []entity.MahasiswaBimbingan, err error)
	GetAmountMahasiswaByDosenId(idDosen string) (output []entity.JumlahMahasiswa, err error)
	GetAmountStatusBimbinganMahasiswaByDosenId(idDosen string) (output []entity.StatusBimbinganMahasiswa, err error)
}
